Oracle Linux 6 : gimp (ELSA-2012-1180)

medium Nessus Plugin ID 68600

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2012:1180:

現已提供適用於 Red Hat Enterprise Linux 6 的更新版 gimp 套件,可修正三個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有中等安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

GIMP (GNU 影像處理程式) 是一種影像合成和編輯程式。

在 GIMP 的 GIF 影像格式外掛程式中,發現一個可導致堆積型緩衝區溢位的整數溢位瑕疵,攻擊者可建立特製的 GIF 影像檔,在開啟後可使 GIF 外掛程式損毀,或可能透過 GIMP 使用者的權限執行任意程式碼。(CVE-2012-3481)

GIMP GIF 影像格式外掛程式所使用的 Lempel-Ziv-Welch (LZW) 解壓縮演算法實作中存在堆積型緩衝區溢位瑕疵,攻擊者可建立特製的 GIF 影像檔,在開啟後可使 GIF 外掛程式損毀,或可能透過 GIMP 使用者的權限執行任意程式碼。(CVE-2011-2896)

GIMP 的 KiSS CEL 檔案格式外掛程式中存在堆積型緩衝區溢位瑕疵,攻擊者可建立特製的 KiSS 調色盤檔案,在開啟後可使 CEL 外掛程式損毀,或可能透過 GIMP 使用者的權限執行任意程式碼。(CVE-2012-3403)

Red Hat 要感謝 SUSE 安全性團隊的 Matthias Weckbecker 報告 CVE-2012-3481 問題。

建議 GIMP 使用者升級至這些更新版套件,其中包含更正這些問題的反向移植修補程式。GIMP 必須重新啟動,更新才會生效。

解決方案

更新受影響的 gimp 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2012-August/002984.html

Plugin 詳細資訊

嚴重性: Medium

ID: 68600

檔案名稱: oraclelinux_ELSA-2012-1180.nasl

版本: 1.8

類型: local

代理程式: unix

已發布: 2013/7/12

已更新: 2021/1/14

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Medium

基本分數: 6.8

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

弱點資訊

CPE: p-cpe:/a:oracle:linux:gimp, p-cpe:/a:oracle:linux:gimp-devel, p-cpe:/a:oracle:linux:gimp-devel-tools, p-cpe:/a:oracle:linux:gimp-help-browser, p-cpe:/a:oracle:linux:gimp-libs, cpe:/o:oracle:linux:6

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

修補程式發佈日期: 2012/8/20

弱點發布日期: 2011/8/19

參考資訊

CVE: CVE-2011-2896, CVE-2012-3403, CVE-2012-3481

RHSA: 2012:1180